function cap_calc(object) {
	if(object.cylindric==1) {
		var radius = parseFloat(document.getElementById(object.radius).value.replace(',','.'));
		if(isNaN(radius)) {
			document.getElementById(object.volume_single).innerHTML = object.empty_string;
			document.getElementById(object.volume_total).innerHTML = object.empty_string;
			return false;
		}
	} else {
		var length = parseFloat(document.getElementById(object.length).value.replace(',','.'));
		var width  = parseFloat(document.getElementById(object.width).value.replace(',','.'));
		if(isNaN(length)||isNaN(width)) {
			document.getElementById(object.volume_single).innerHTML = object.empty_string;
			document.getElementById(object.volume_total).innerHTML = object.empty_string;
			return false;
		}
	}
	var height = parseFloat(document.getElementById(object.height).value.replace(',','.'));
	var count  = parseFloat(document.getElementById(object.count).value.replace(',','.'));
	
	if(isNaN(height)||isNaN(count)) {
		document.getElementById(object.volume_single).innerHTML = object.empty_string;
		document.getElementById(object.volume_total).innerHTML = object.empty_string;
	} else {
		if(object.cylindric==1) {
			var value = radius*radius*height*3.14; // PI
		} else {
			var value = length*width*height;
		}
		if(object.include_DHL==1&&!isNaN(object.value_DHL)&&object.value_DHL>0) value = value/object.value_DHL;
		document.getElementById(object.volume_single).innerHTML = value.toFixed(2);
		document.getElementById(object.volume_total).innerHTML  = (value*count).toFixed(2);
	}
	
	return false;
}