<?php
/******************************************************************************/
//                                                                            //
//                  Capacity calculation module for InstantCMS     			  //
//                            (C) Crazy World 2013                            //
//                                Version 1.2                                 //
//                                                                            //
/******************************************************************************/

function mod_calc_cap($module_id){

	$inCore = cmsCore::getInstance();
    $inDB   = cmsDatabase::getInstance();
	$inPage = cmsPage::getInstance();

    global $_LANG;

    $cfg = $inCore->loadModuleConfig($module_id);

	if (!isset($cfg['template']))          { $cfg['template'] = 'mod_calc_cap.tpl'; }
	if (!isset($cfg['var_length']))        { $cfg['var_length'] = 'frm_length'; }
	if (!isset($cfg['var_width']))         { $cfg['var_width'] = 'frm_width'; }
    if (!isset($cfg['var_height']))        { $cfg['var_height'] = 'frm_height'; }
	if (!isset($cfg['var_count']))         { $cfg['var_count'] = 'frm_count'; }
	if (!isset($cfg['var_volume_single'])) { $cfg['var_volume_single'] = 'frm_volume_single'; }
	if (!isset($cfg['var_volume_total']))  { $cfg['var_volume_total'] = 'frm_volume_total'; }
	if (!isset($cfg['var_btn_calc']))      { $cfg['var_btn_calc'] = 'frm_btn_calc'; }
	if (!isset($cfg['include_DHL']))       { $cfg['include_DHL'] = 0; }
	if (!isset($cfg['value_DHL']))         { $cfg['value_DHL'] = 6000; }
	if (!isset($cfg['cylindric']))         { $cfg['cylindric'] = 0; }
	if (!isset($cfg['var_radius']))        { $cfg['cylindric'] = 'frm_radius'; }

	echo "<script language='JavaScript' type='text/javascript' src='/includes/calc_cap/calc_cap.js'></script>";
		
	$JSobjStruct = "{length: '{$cfg['var_length']}',
					 width:  '{$cfg['var_width']}',
					 height: '{$cfg['var_height']}',
					 count:  '{$cfg['var_count']}',
					 volume_single: '{$cfg['var_volume_single']}',
					 volume_total: '{$cfg['var_volume_total']}',
					 empty_string: '{$_LANG['calc_empty_string']}',
					 include_DHL: {$cfg['include_DHL']},
					 value_DHL: {$cfg['value_DHL']},
					 cylindric: {$cfg['cylindric']},
					 radius: '{$cfg['var_radius']}'}";
	
	$cfg['JSobjStruct'] = $JSobjStruct;
	
    $smarty = $inCore->initSmarty('modules', $cfg['template']);
	$smarty->assign('cfg', $cfg);
	$smarty->assign('lang', $_LANG);
    $smarty->display($cfg['template']);

	return true;
}
?>
